=== debian/changelog ===
ros-noetic-mobile-robot-simulator (1.0.1-1buster) buster; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Tim Clephas <tim.clephas@nobleo.nl>  Thu, 02 Jul 2020 10:34:16 -0000
